:root {
    --primary-color: rgb(51, 132, 54);
    --secondary-color: rgb(255, 172, 52);
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    margin: 0;
    display: grid;
    grid-auto-rows: 120px minmax(90vh, 1fr) auto;
}

footer {
    font-size: 12px;
    text-align: center;
    padding: 20px 30px;
}

/* Global Stylings */

input,
select {
    margin-top: 5px;
    display: block;
    width: 100%;
    padding: 0.75rem;
    border: 1px solid #ccc;
    border-radius: 0.25rem;
}

ul {
    padding: 0;
    list-style-type: none;
}

.width-50 {
    width: 50%;
}

.ml-auto {
    margin-left: auto;
}

.text-center {
    text-align: center;
}

.tcpa-copy {
    font-size: x-small;
}

/* Form */
.form {
    width: clamp(320px, 30%, 430px);
    height: fit-content;
    margin: 0 auto;
    border: 1px solid #ccc;
    border-radius: 0.35rem;
    padding: 1.5rem;
    box-shadow: 0 3px 10px rgb(0 0 0 / 0.2);
}

.form-step {
    display: none;
    transform-origin: top;
    animation: animate 0.5s;
}

.form-step-active {
    display: block;
}

.input-group {
    margin: 0.5rem 0;
}

.input-group.success input {
    border-color: #09c372;
}

.input-group.error input {
    border-color: #ff3860;
}

.input-group .error {
    color: #ff3860;
    font-size: 10px;
    height: 13px;
    padding-top: 0.25rem;
}

/* Button */
.btns-group {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1.5rem;
}

.btn {
    padding: 0.75rem;
    display: block;
    text-decoration: none;
    background-color: var(--primary-color);
    color: #f3f3f3;
    text-align: center;
    border-radius: 0.25rem;
    cursor: pointer;
    transition: 0.3s;
}

.btn:hover {
    box-shadow: 0 0 0 2px #fff, 0 0 0 3px var(--primary-color);
}

input[type="radio"] {
    margin-right: 0.5rem;
    padding-top: 0.5rem;
    height: 1.2rem;
    width: 1.2rem;
    display: inline-block;
}

/* The Modal (background) */
.modal {
    display: none;
    /* Hidden by default */
    position: fixed;
    /* Stay in place */
    z-index: 1;
    /* Sit on top */
    padding-top: 100px;
    /* Location of the box */
    left: 0;
    top: 0;
    width: 100%;
    /* Full width */
    height: 100%;
    /* Full height */
    overflow: auto;
    /* Enable scroll if needed */
    background-color: rgb(0, 0, 0);
    /* Fallback color */
    background-color: rgba(0, 0, 0, 0.4);
    /* Black w/ opacity */
}

/* Modal Content */
.modal-content {
    background-color: #fefefe;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    width: 95%;
    max-height: calc(100vh - 210px);
    overflow-y: auto;
}

.modal-button {
    background: none !important;
    border: none;
    padding: 0 !important;
    /*input has OS specific font-family*/
    color: #069;
    text-decoration: underline;
    cursor: pointer;
}

/* The Close Button */
.close {
    color: #aaaaaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}

.partners {
    padding: 0px 20px 20px 20px;
}